<?php

class ApiCrm {

    private $token      = "";
    private $website    = "";
    private $endpoint   = "";


    public function __construct($website, $endpoint, $token){
        $this->token        = $token;
        $this->website      = $website;
        $this->endpoint     = $endpoint;
    }

    public function send($args){

        $args['token']          = $this->token;
        $args['website']        = $this->website;

        $result = $this->request_api($args);

        if(!isset($result["message"])){
            return "error";
        }

        return $result["message"];
    }

    private function request_api($args){

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $this->endpoint);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
        curl_setopt($ch, CURLOPT_USERAGENT, 'PHP-MCAPI/2.0');       
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_TIMEOUT, 10);
        curl_setopt($ch, CURLOPT_POST, true);
        //curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, $this->verify_ssl);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($args));
        $result = curl_exec($ch);
        curl_close($ch);

        return json_decode($result, true);

    }


}